# state

This configuration section contains settings to configure how the test case *state* field should be updated. See [Setting Test Case State on change](/specsync/features/push-features/setting-test-case-state-on-change.md) for details.

The following example shows the available options within this sub-section.

```javascript
{
  ...
  "synchronization": {
    ...
    "state": {
      "setValueOnChangeTo": "Design",
      "condition": "@ready"
    },
    ...
  },
  ...
}
```

The `state` setting is a shortcut for configuring the [`synchronization/fieldUpdates` section](/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-fieldupdates.md). The example above is equivalent to the following `fieldUpdates` setting:

```javascript
{
  "synchronization": {
    "fieldUpdates": {
      "System.State": {
        "condition": "@ready"
        "value": "Design",
        "update": "onCreateOrChange"
      }
    }
  },
}
```

## Settings

| Setting              | Description                                                                                                                                                                                                                                                               | Default                                 |
| -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| `setValueOnChangeTo` | A state value (e.g. `Design`) to set test case state to when updating or creating a test case during synchronization. Useful for setting back test cases to state `Design` on change. The possible allowed values might depend on the process template your project uses. | don't change test case state            |
| condition            | A [local test case condition](/specsync/features/general-features/local-test-case-conditions.md) of scenarios that should be included for state change (e.g. `@inprogress` , `not @ready`).                                                                               | all scenarios included for state change |

{% content-ref url="/pages/-LVwFCLmwNCOYz1dKMTr" %}
[synchronization](/specsync/reference/configuration/configuration-synchronization.md)
{% endcontent-ref %}

{% content-ref url="/pages/-LVwFCLiKB3ACJLwVZGP" %}
[Configuration reference](/specsync/reference/configuration.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.specsolutions.eu/specsync/reference/configuration/configuration-synchronization/configuration-synchronization-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
